Bug 115599 - Can't get mod_auth_ldap to query a TLS only server
Can't get mod_auth_ldap to query a TLS only server
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 14:04 EST by John Imholz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 11:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Imholz 2004-02-13 14:04:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When trying to authenticate I get:

[Fri Feb 13 10:46:03 2004] [notice] LDAP: Built with OpenLDAP LDAP SDK
[Fri Feb 13 10:46:03 2004] [notice] LDAP: SSL support available
[Fri Feb 13 10:46:04 2004] [notice] Apache/2.0.48 (Fedora) configured
-- resuming normal operations
[Fri Feb 13 10:47:04 2004] [warn] [client 128.23.42.175] [23677]
auth_ldap authenticate: user imholzj authentication failed; URI
/fedora/test/ [ldap_search_ext_s() for user failed][Confidentiality
required]

In the error log.  I think this means it connects but doesn't start TLS.




Version-Release number of selected component (if applicable):
2.0.48-1.2

How reproducible:
Always

Steps to Reproduce:
1. yum install httpd
2. insert into a .htaccess file:
AuthType basic
AuthLDAPURL "ldap://authldap.musc.edu/ou=people,dc=musc,dc=edu"
require valid-user
    

Additional info:

Can you tell me if there are some webpages/site dedicated to how the
httpd rpm is built?  The reference in the rpm is bugzilla.
Comment 1 Matthew Miller 2006-07-11 13:27:14 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 11:00:11 EDT
Closing per lack of response since the prior message.  Also note that FC1 and
FC2 are no longer supported even by Fedora Legacy.  If this still occurs on FC3
or FC4, please assign to that version and Fedora Legacy.  If it still occurs on
FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.